export const routerConfig = [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  { path: '/', redirect: '/welcome' },
  {
    path: '/',
    component: '../layouts/BasicLayout',
    routes: [
      {
        name: '欢迎',
        path: '/welcome',
        icon: 'smile',
        component: './Welcome',
      },
      {
        name: '数据统计',
        path: '/statistics',
        icon: 'dashboard',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ]
      },
      {
        name: '我的公会',
        path: '/myfamily',
        icon: 'dashboard',
        component: './Family/FamilyDetails'
        // routes: [
        //   { component: './Family/FamilyDetails', }
        // ]
      },
      {
        name: '主播详情',
        path: '/myfamily/liveinfo',
        component: './Family/FamilyLiveInfo',
        hideInMenu: true
      },
      {
        name: '主播管理',
        path: '/anchors',
        icon: 'flag',
        routes: [
          {
            name: '主播列表',
            path: '/anchors/list',
            component: './Anchors/AnchorList'
          },
          {
            name: '主播审核列表',
            path: '/anchors/auditlist',
            component: './Anchors/AnchorAuditList'
          },
          {
            name: '主播详情',
            path: '/anchors/list/details',
            component: './Anchors/AnchorDetail',
            hideInMenu: true
          },
        ],
      },
      {
        name: '管理员管理',
        path: '/admin',
        icon: 'tool',
        routes: [
          {
            name: '管理员列表',
            path: '/admin/list',
            component: './Admin/AdminList',
          }
        ],
      },
      {
        name: '财务管理',
        path: '/money',
        icon: 'dollar',
        routes: [
          {
            name: '账户管理',
            path: '/money/withdraw',
            component: './Money/AccountList',
          },
          {
            name: '提现管理',
            path: '/money/withdraw/record',
            component: './Money/WithdrawRecord',
          }
        ],
      },
      {
        name: '活动管理',
        path: '/activity',
        icon: 'flag',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ],
      },
      {
        name: '系统管理',
        path: '/system',
        icon: 'setting',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ],
      },
      {
        name: '财务管理',
        path: '/finance',
        icon: 'dollar',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ],
      },
    ],
  },
  {
    component: './404',
  },
];
