import React, { Component } from 'react'
import { PageHeaderWrapper } from '@ant-design/pro-layout'
import { Button, Card, Descriptions, Table } from 'antd'
import styles from './FamilyLiveInfo.less'
import router from 'umi/router'


const _cardStyle = {
  marginBottom: 10
}
const Column = Table.Column
const list = [
  {id: 1, time: new Date().getTime(), money: 3838 },
  {id: 2, time: new Date().getTime(), money: 3838 },
  {id: 3, time: new Date().getTime(), money: 3838 },
]
class FamilyLiveInfo extends Component {
  // 显示礼物详情
  onDetails = () => {
    
  }
  render () {
    return (
      <PageHeaderWrapper 
        title='公会详情'
        extra={
          <div>
            <Button
              onClick={router.goBack}
              type='default'
              icon='left'
            >返回</Button>
          </div>
        }
      >
        <Card style={_cardStyle} title='公会信息'>
          <Descriptions bordered>
            <Descriptions.Item label='公会头像'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='公会名称'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='公会ID'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='公会状态'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='创建时间' span={2}>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='会长昵称'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='会长ID'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='会长联系方式'>
              7890kldkks
            </Descriptions.Item>
          </Descriptions>
        </Card>
        <Card style={_cardStyle} title='主播信息'>
          <Descriptions bordered>
            <Descriptions.Item label='主播昵称'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='星芽号'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='主播等级'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='性别'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='手机号'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='签名'>
              7890kldkks
            </Descriptions.Item>
            <Descriptions.Item label='粉丝数量'>
              7890kldkks
            </Descriptions.Item>
          </Descriptions>
        </Card>
        <Card style={_cardStyle} title='直播数据'>
          <Table
            bordered
            dataSource={list}
            rowKey='id'
          >
            <Column 
              title='直播标题'
              dataIndex='time'
              key='time'
            />
            <Column 
              title='直播封面'
              dataIndex='cover'
              key='cover'
            />
            <Column 
              title='开播类型'
              dataIndex='liveType'
              key='liveType'
            />
            <Column 
              title='直播时长'
              dataIndex='liveHourses'
              key='liveHourses'
            />
            <Column 
              title='开播时间'
              dataIndex='liveTime'
              key='liveTime'
            />
            <Column 
              title='下播时间'
              dataIndex='endTime'
              key='endTime'
            />
            <Column 
              title='人数峰值'
              dataIndex='persons'
              key='persons'
            />
            <Column 
              title='直播流水'
              dataIndex='money'
              key='money'
              render={(text, { money }) => (
                <div>
                  <div>魅力值: {money}</div>
                  <div>佣金: {money}</div>
                </div>
              )}
            />
            <Column 
              title='礼物'
              dataIndex='gifts'
              key='gifts'
              render={(text, record) => (
                <a href='#' onClick={e => {
                  e.preventDefault()
                  this.onDetails()
                }}>详情</a>
              )}
            />
          </Table>
        </Card>
        <Card title={`直播房管(6人)`}>
          <div className={styles['live-managers']}>
            {
              list.map((item, i) => (
                <Card
                  hoverable={false}
                  key={i}
                  className={styles['live-manager-card']}
                  cover={<img className={styles['live-manager-avatar']} alt="example" src="https://os.alipayobjects.com/rmsportal/QBnOOoLaAfKPirc.png" />}
                >
                  <Card.Meta 
                    title={`张三`} 
                    description={`星芽号:`}
                  />
                </Card>
              ))
            }
          </div>
        </Card>
      </PageHeaderWrapper>
    )
  }
}
export default FamilyLiveInfo
