import { stringify } from 'qs'
import request from '@/utils/request'

// 获取工会列表
export const getReportPageList = (params) => {
  return request(`/api-agent/v1/data/getReportPageList?${stringify(params)}`)
}

// 获取公会列表
export const getAgentPageList = (params) => {
  return request(`/api-agent/v1/agent/getAgentPageList?${stringify(params)}`)
}

// 创建公会
export const createAgent = (params) => {
  return request('/api-agent/v1/agent/createAgent', {
    method: 'POST',
    body: params,
  })
}

// 编辑公会
export const editAgent = (params) => {
  return request('/api-agent/v1/agent/editAgent', {
    method: 'POST',
    body: params,
  })
}

// 获取公会详情
export const getAgentDetail = (params) => {
  return request(`/api-agent/v1/anchor/getAgentDetail?${stringify(params)}`)
}

// 启用公会
export const enableAgent = (params) => {
  return request('/api-agent/v1/agent/enableAgent', {
    method: 'POST',
    body: params,
  })
}

// 禁用公会
export const disableAgent = (params) => {
  return request('/api-agent/v1/agent/disableAgent', {
    method: 'POST',
    body: params,
  })
}

// 删除公会
export const deleteAgent = (params) => {
  return request('/api-agent/v1/agent/deleteAgent', {
    method: 'POST',
    body: params,
  })
}

